Bug 534507 - (RHQ-1298) integrate seam jars into portal-war
integrate seam jars into portal-war
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.2
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
http://jira.rhq-project.org/browse/RH...
: SubTask
Depends On:
Blocks: RHQ-692
  Show dependency treegraph
 
Reported: 2008-12-21 03:26 EST by Joseph Marques
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHQ-1298.patch (4.25 KB, text/plain)
2009-01-11 13:04 EST, Ian Springer
no flags Details
seamified-config-tab.patch (52.05 KB, text/plain)
2009-01-14 12:54 EST, Ian Springer
no flags Details
RHQ-1298+seam-debug.patch (6.02 KB, text/plain)
2009-01-15 14:19 EST, Ian Springer
no flags Details
seamified-config-tab.patch-2 (9.40 KB, application/octet-stream)
2009-01-19 18:15 EST, Ian Springer
no flags Details

  None (edit)
Description Joseph Marques 2008-12-21 03:26:00 EST
this task is a requisite to all other sibling tasks as well as underlying support (in particular, the conversational context) to group resource configuration features (item #3 from http://support.rhq-project.org/display/RHQ/Design-ResourceClustering )
Comment 1 Ian Springer 2009-01-11 13:04:13 EST
Here's a patch that integrates Seam. Note, after merging this patch and restarting the Server, attempting to click on any operation names on the Operations tab will produce a Hibernate "no transaction is active" exception.

Comment 2 Ian Springer 2009-01-14 12:54:53 EST
Here's another patch that Seamifies the Config tab pages. It will only work if the previous Seam integration patch has been applied.
Comment 3 Ian Springer 2009-01-15 14:19:31 EST
RHQ-1298+seam-debug.patch is the same as RHQ-1298.patch, except that it also includes and enables seam-debug.
Comment 4 Ian Springer 2009-01-19 18:16:28 EST
seamified-config-tab.patch-2 adds a few added files I think I missed in seamified-config-tab.patch.
Comment 5 Joseph Marques 2009-01-20 05:58:14 EST
rev2670 - seam 2.1.0 integration, seam-managed transactions disabled, debug enabled (for testing purposes), and the app has been smoke tested; 
Comment 6 Ian Springer 2009-01-28 12:12:45 EST
NOTE: I initially tried using Seam 2.1.1.GA, but it caused errors during deployment of rhq-portal.war that caused the deployment to fail. As I recall, the errors were related to JBoss clustering (unfortunately, I didn't save the errors). When I tried using Seam 2.1.0.SP1 instead, the errors did not occur. So something changed in either Seam 2.1.0.CR1, 2.1.0.CR2, or 2.1.0.GA that causes these errors to occur. I will file another JIRA for further investigating this and reporting a JBSEAM bug if necessary, post JON 2.2.
Comment 7 Red Hat Bugzilla 2009-11-10 15:29:59 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1298
Imported an attachment (id=368518)
Imported an attachment (id=368519)
Imported an attachment (id=368520)
Imported an attachment (id=368521)
This bug is related to RHQ-1415
This bug is related to RHQ-1729

Note You need to log in before you can comment on or make changes to this bug.